## kdemultimedia 980331-1

=== kmidi/tim/Makefile ===
# 
# TiMidity -- Experimental MIDI to WAVE converter
# Copyright (C) 1995 Tuukka Toivonen <toivonen@clinet.fi>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
# 
# This Makefile is known to work with GNU make.

########### Installation options
#
# This looks like a job for Autoconf Repairman!
# But where to change without revealing my secret identity?

########### Compiler and flags.
CC = gcc
#DEBUGFLAGS = -Wall -O2
DEBUGFLAGS = -Wall -g

########### Install.
INSTALL = /usr/bin/install

# Where to install the executable
BIN_DIR = /usr/local/bin

# Where to install the manual pages
MAN_DIR = /usr/local/man/man1

# Where to install the patches, config files, and MIDI files.
# If you change this, it's a good idea to recompile the binary,
# or you'll need to invoke timidity with the -L option.
TIMID_DIR = /usr/local/lib/timidity

# Where to install the Tcl code, if you use the Tcl code that is.
TCL_DIR = $(TIMID_DIR)

########### Compilation options -- there are more in config.h.  
#
# Uncomment the lines you need, changing library paths as required.

########### Audio device selection
#
# Select one only. If your make doesn't understand +=, you may have to
# do some axe work.

# Select the Linux/FreeBSD audio driver
SYSTEM += -DAU_LINUX
SYSEXTRAS += linux_a.c
#EXTRAINCS +=
#EXTRALIBS += 

## Select the HP-UX network audio server
#SYSTEM += -DHPUX -DAU_HPUX
#SYSEXTRAS += hpux_a.c
##EXTRAINCS +=
#EXTRALIBS += -lAlib

## Select the Sun audio driver (for SunOS)
#SYSTEM += -DSUN -D__USE_GNU -DAU_SUN
#SYSEXTRAS += sun_a.c
#EXTRAINCS += -I/usr/demo/SOUND
#EXTRALIBS += -L/usr/demo/SOUND -laudio

## Select the Sun audio driver (for Solaris)
#SYSTEM += -DSUN -DSOLARIS -DAU_SUN
#SYSEXTRAS += sun_a.c
#EXTRAINCS += -I/usr/demo/SOUND/include
#EXTRALIBS += -L/usr/demo/SOUND/lib -laudio -lsocket

## Select the DEC MMS audio server
#SYSTEM += -DDEC -DAU_DEC
#SYSEXTRAS += dec_a.c
#EXTRAINCS += -I/usr/include/mme
#EXTRALIBS += -lmme

########### User interface selection
#
# Select any combination by uncommenting and editing the appropriate
# lines.  If you don't have ncurses, slang, motif, _or_ Tcl/Tk, you'll
# have to make do with a non-interactive interface that just prints out
# messages.

# Select the ncurses full-screen interface
##SYSTEM += -DIA_NCURSES
#SYSEXTRAS += ncurs_c.c
#EXTRAINCS += -I/usr/include/ncurses
#EXTRALIBS += -lncurses

## Select the S-Lang full-screen interface
#SYSTEM += -DIA_SLANG
#SYSEXTRAS += slang_c.c
#EXTRAINCS += -I/usr/include/slang
#EXTRALIBS += -lslang

## Select the MOTIF interface
#SYSTEM += -DMOTIF
#SYSEXTRAS += motif_c.c motif_i.c motif_p.c
#EXTRAINCS += -I/usr/local/X11R5/include -L/usr/local/X11R5/lib
#EXTRAINCS += -I/usr/include/X11 -I/usr/X11/include/
#EXTRALIBS += -L/usr/X11/lib -lXm -lXt -lX11
## Solaris needs libgen?
#EXTRALIBS += -lgen

# Select the Tcl/Tk interface
SYSTEM += -DTCLTK -DTKPROGPATH=\"$(TCL_DIR)/tkmidity.tcl\"
SYSEXTRAS += tk_c.c
INST_TK = install.tk
#EXTRAINCS +=
EXTRALIBS += -ltk -ltcl -L/usr/X11R6/lib -lX11
# Linux user needs this.
EXTRALIBS += -ldl

########### Now check out the options in config.h

#########################################################################
# You shouldn't need to change anything beyond this line

.SUFFIXES: .c .h .ptcl .tcl .o .1 .txt .ps

VERSION = 0.2i
FNVERSION = 02i
SUPPVERSION = 0.2
FNSUPPVERSION = 02

PROJ = timidity
DIST = timidity-$(VERSION).tar.gz
DISTZIP = timid$(FNVERSION).zip
SDIST = timidity-lib-$(SUPPVERSION).tar.gz
SDISTZIP = tilib$(FNSUPPVERSION).zip

CFLAGS= $(DEBUGFLAGS) -DDEFAULT_PATH=\"$(TIMID_DIR)\" \
	-DTIMID_VERSION=\"$(VERSION)\" $(SYSTEM) $(EXTRAINCS)

########### All relevant files.. Anybody know autoconf?

# Sources needed for every installation
CSRCS = timidity.c common.c readmidi.c playmidi.c resample.c mix.c instrum.c \
        tables.c controls.c output.c filter.c \
        wave_a.c raw_a.c dumb_c.c \
	sndfont.c readsbk.c

# Optional installation-specific sources
OPTSRCS = hpux_a.c linux_a.c sun_a.c dec_a.c win_a.c \
	ncurs_c.c slang_c.c tk_c.c \
	motif_c.c motif_i.c motif_p.c

# External utility sources
TOOLSRCS = bag.c wav2pat.c

# Tcl interface sources
TCLSRCS = tkmidity.ptcl tkpanel.tcl browser.tcl misc.tcl

# Things used by MSDOS/Windows
GETOPTSRCS = getopt.c timidity.ide timidity.mak

# Miscellaneous things to distribute in the source archive
MAKEFILES = Makefile my my.pl
BITMAPS = $(BITMAPF) \
	BITMAPS/back.xbm BITMAPS/fwd.xbm BITMAPS/next.xbm BITMAPS/pause.xbm \
	BITMAPS/prev.xbm BITMAPS/quit.xbm BITMAPS/restart.xbm \
	BITMAPS/timidity.xbm

# All headers
CHDRS = config.h common.h readmidi.h playmidi.h resample.h mix.h instrum.h \
        tables.h controls.h output.h filter.h motif.h

# Used in making the distribution archive
ALLSRCS = $(CSRCS) $(OPTSRCS) $(CHDRS) $(TOOLSRCS) $(TCLSRCS) $(MAKEFILES) \
	$(BITMAPS) $(GETOPTSRCS)

TCLF = tkmidity.tcl tkpanel.tcl browser.tcl misc.tcl
ALLTCLF = $(TCLF) tclIndex
BITMAPF = tkbitmaps/prev.xbm tkbitmaps/next.xbm tkbitmaps/play.xbm \
	tkbitmaps/stop.xbm tkbitmaps/pause.xbm tkbitmaps/quit.xbm \
	tkbitmaps/back.xbm tkbitmaps/fwrd.xbm \
	BITMAPS/timidity.xbm

MANPAGES = timidity.1
TXTPAGES = $(MANPAGES:.1=.txt)
PSPAGES = $(MANPAGES:.1=.ps)
DOCS = README README.tk README.DEC README.W32 \
	COPYING INSTALL CHANGES TODO FAQ $(MANPAGES) $(TXTPAGES) $(PSPAGES)

CONFIGF = timidity.cfg gsdrum.cfg gravis.cfg midia.cfg wowpats.cfg mt32.cfg

PATCHF = patch/acpiano.pat patch/nylongt2.pat
SAMPLEF = midi/cavatina.mid midi/impromptu.mid midi/malaguena.mid \
	  midi/test-decay.mid midi/test-panning.mid midi/test-scale.mid

# These get stuffed in the distribution archive
ALLDIST = $(DOCS) $(ALLSRCS) $(CONFIGF)

# These go in the support archive
SUPPDIST = $(PATCHF) $(SAMPLEF) README.lib

########### Rules

COBJS = $(CSRCS:.c=.o) $(SYSEXTRAS:.c=.o)

TOOLS = $(TOOLSRCS:.c=)

all: $(PROJ) $(TOOLS)

clean:
	rm -f $(COBJS) core

spotless: clean
	rm -f $(PROJ) $(TOOLS) $(TXTPAGES) $(PSPAGES) \
		$(DIST) $(SDIST) $(DIST).CONTENTS $(SDIST).CONTENTS \
		$(DISTZIP) $(SDISTZIP) $(DISTZIP).CONTENTS $(SDISTZIP).CONTENTS

.c.o:
	$(CC) $(CFLAGS) -c $<

$(PROJ): $(COBJS)
	$(CC) $(CFLAGS) -o $(PROJ) $(COBJS) $(EXTRALIBS) -lm

bag: bag.c
	$(CC) $(CFLAGS) -o bag bag.c

wav2pat: wav2pat.c
	$(CC) $(CFLAGS) -o wav2pat wav2pat.c

depends depend dep:
	$(CC) $(CFLAGS) -MM $(CSRCS) $(OPTSRCS) $(TOOLSRCS) > depends

include depends

########### Installation targets

install:
	@echo
	@echo Please enter one of the commands below:
	@echo 
	@echo \"make install.bin\" - Install the executable in $(BIN_DIR).
	@echo \"make install.man\" - Install the manual page in $(MAN_DIR).
	@echo \"make install.lib\" - Install the library files in $(TIMID_DIR).
	@echo \"make install.all\" - All of the above.
	@echo

install.all: install.bin install.man install.lib

# install.bin: $(PROJ) Dumb make thinks it has to have $(COBJS) to install...
install.bin:
	mkdir -p $(BIN_DIR)
	$(INSTALL) -s -m 755 $(PROJ) $(TOOLS) $(BIN_DIR)

install.man:
	mkdir -p $(MAN_DIR)
	$(INSTALL) -m 644 $(MANPAGES) $(MAN_DIR)

install.lib: install.config install.patch $(INST_TK)

install.config: $(CONFIGF)
	mkdir -p $(TIMID_DIR)
	$(INSTALL) -m 644 $(CONFIGF) $(TIMID_DIR)

install.patch: $(PATCHF)
	mkdir -p $(TIMID_DIR)/patch
	$(INSTALL) -m 644 $(PATCHF) $(TIMID_DIR)/patch

install.tk: $(ALLTCLF)
	$(INSTALL) -m 644 $(ALLTCLF) $(TCL_DIR)
	mkdir -p $(TCL_DIR)/BITMAPS
	$(INSTALL) -m 644 $(BITMAPF) $(TCL_DIR)/BITMAPS

.ptcl.tcl:
	sed -e s@%TCL_DIR%@$(TCL_DIR)@g $< > $@

.1.txt:
	groff -man -Tlatin1 -P-b -P-u $< >$@

.1.ps:
	groff -man $< >$@

tclIndex: $(TCLF)
	echo 'auto_mkindex . *.tcl; exit' | wish

########## Some special targets

time:
	time ./$(PROJ) -idq -s32 -p32 -Or -o/dev/null \
	-c /usr/local/lib/timidity/timidity.cfg \
	$(HOME)/midi/jazz/jzdwing.mid.gz

dist: $(DIST) $(DISTZIP)

sdist: $(SDIST) $(SDISTZIP)

putup: $(DIST) $(DISTZIP)
	changes2html < CHANGES > changes.html
	faq2html < FAQ > faq.html
	cp /home/titoivon/public_html/timidity/index.html index.html
	tar czvf /home/titoivon/putup.tgz $(DIST) $(DIST).CONTENTS \
		changes.html faq.html timidity.txt index.html \
		INSTALL COPYING
	rm changes.html faq.html timidity.txt index.html

$(DIST) $(DISTZIP): $(ALLDIST)
	-rm -rf /tmp/timidity-$(VERSION) /tmp/timid$(FNVERSION)
	mkdir /tmp/timidity-$(VERSION)
	cp -aP $(ALLDIST) /tmp/timidity-$(VERSION)
	(cd /tmp && tar czvf $(DIST) timidity-$(VERSION))
	(cd /tmp && mv timidity-$(VERSION) timid$(FNVERSION) && \
		zip -r $(DISTZIP) timid$(FNVERSION))
	mv /tmp/$(DIST) /tmp/$(DISTZIP) .
	rm -rf /tmp/timid$(FNVERSION)
	tar tzvf $(DIST) >$(DIST).CONTENTS
	unzip -lv $(DISTZIP) >$(DISTZIP).CONTENTS

$(SDIST): $(SUPPDIST)
	tar czf $(SDIST) $(SUPPDIST)
	tar tzvf $(SDIST) >$(SDIST).CONTENTS
	zip $(SDISTZIP) $(SUPPDIST)
	unzip -lv $(SDISTZIP) >$(SDISTZIP).CONTENTS


########## End of Makefile

## kdemultimedia 4.4.5

=== debian/changelog ===
kdemultimedia (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 12:25:35 +0200

kdemultimedia (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Limit dh_xine call to dragonplayer package.
  * Do not fail if there are missing symbols. libkcddb4 is not important enough
    to warrant such a FTBFS.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.

  [ Sune Vuorela ]
  * Change email address
  * Add Colin Guthrie's kmix pulse audio support patches (patch
    02_colin_guthrie_pulseaudio_fixes.diff).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 02 Jun 2010 00:46:46 +0300

kdemultimedia (4:4.4.3-2) unstable; urgency=low

  * Update libkcddb4 symbol file for armel. Fixes FTBFS.
  * Use dh_xine for dragonplayer, version libxine-dev build depend as (>=
    1.1.16.3) for it (Closes: #575119).
  * Show kmix in all desktop environments (patch 01_kmix_showeverywhere.diff)
    (Closes: #544233).
  * Use arch=linux-any tag for alsa/linux specific symbols in the symbol file.

 -- Modestas Vainius <modax@debian.org>  Sat, 08 May 2010 23:36:41 +0300

kdemultimedia (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Change dragonplayer section to video.
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Update symbol files for 4.4.2 on i386 ia64 kfreebsd-amd64 kfreebsd-i386
    mips powerpc s390 sparc.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:54 +0300

kdemultimedia (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - the KMix popup closes correctly. (Closes: #557081)

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Bump phonon build dependency to 4:4.6.0really4.3.80.
  * Bump libtag1-dev build dependency to 1.6.
  * Split off cddb KCM from libkcddb4 to its own kde-config-cddb package.
  * Make kscd suggest kde-config-cddb.
  * Move kdemultimedia-dev and kdemultimedia-dbg to the end of debian/control.
  * Add symbol file for libkcddb4 package.
  * Replace KDE 4 with KDE in descriptions.

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Bump kdelibs-dev build dependency to >= 4:4.4.
  * Drop libknotificationitem-1-dev build dependency.
  * Refresh patches.
  * Rename libcdparanoia0-dev to libcdparanoia-dev in build dependencies.
  * Update installed files.

  [ Pino Toscano ]
  * Add dependency on ${misc:Depends} in all the packages.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 05 Apr 2010 23:23:36 +0300

kdemultimedia (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 09 Dec 2009 00:24:09 +0200

kdemultimedia (4:4.3.2-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by  KarlFerdinand Ebert:
  * Add source.lintian-overrides to ignore lintian warning about missing
    debug depends.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 13 Oct 2009 00:26:33 +0200

kdemultimedia (4:4.3.1-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Fathi Boudra:

  * Remove the kfreebsd patch - merged upstream.
  * Bump KDE build dependencies to 4.3.1.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 31 Aug 2009 15:38:48 +0200

kdemultimedia (4:4.3.0-3) unstable; urgency=low

  * Add missing part to the kfreebsd patch. Thanks to Petr Salinger again.
    Really (Closes: #542639).

 -- Ana Beatriz Guerrero Lopez <ana@henry.aurel32.net>  Sun, 23 Aug 2009 14:18:22 +0200

kdemultimedia (4:4.3.0-2) unstable; urgency=low

  * Add patch to fix build in kfreebsd. Thanks to Petr Salinger. 
    (Closes: #542639) 
  * Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).
  * Updating packaging years copyright.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 22 Aug 2009 14:51:20 +0200

kdemultimedia (4:4.3.0-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Frederik Schwarzer:

  * Add package description to mplayerthumbs. (Closes: #537060)
  * Fix typos and casing in packages descriptions.
  
  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Bump build dependencies to >= 4.3.0.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 04 Aug 2009 09:16:17 +0200

kdemultimedia (4:4.2.96-1) experimental; urgency=low

  * New upstream release.
  * Add libknotificationitem-1-dev and libpulse-dev build dependencies.
  * Bump Standards-Version from 3.8.1 to 3.8.2 (no changes needed).
  * Add mplayerthumbs package.

 -- Fathi Boudra <fabo@debian.org>  Sun, 05 Jul 2009 23:16:07 +0200

kdemultimedia (4:4.2.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Sune Vuorela:

  * Fix sections.



=== debian/control ===
Source: kdemultimedia
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
 Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
 George Kiagiadakis <gkiagiad@csd.uoc.gr>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.6.0really4.3.80),
 libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libcdparanoia-dev, libflac-dev, libmusicbrainz4-dev, libpulse-dev, libxine-dev (>= 1.1.16.3),
 libogg-dev, libtag1-dev (>= 1.6), libtheora-dev, libtunepimp-dev, libvorbis-dev, libx11-dev
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdemultimedia/#_trunk_packages_kdemultimedia_
Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdemultimedia

Package: kdemultimedia
Section: kde
Architecture: all
Depends: ${misc:Depends}, dragonplayer (>= ${source:Version}),
 kdemultimedia-kio-plugins (>= ${source:Version}),
 juk (>= ${source:Version}), kmix (>= ${source:Version}),
 kscd (>= ${source:Version}), kde-config-cddb (>= ${source:Version})
Recommends: mplayerthumbs (>= ${source:Version})
Description: multimedia applications from the official KDE release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes multimedia applications provided with the official
 release of KDE.

Package: kdemultimedia-kio-plugins
section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
Suggests: lame
Replaces: kscd (<< 4:4.1.80)
Description: transparent audio CD access for applications using the KDE Platform
 This package includes the audiocd KIO plugin, which allows applications using
 the KDE Platform to read audio from CDs and automatically convert it into other 
 formats.
 .
 This package is part of the KDE multimedia module.

Package: juk
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: k3b
Description: music jukebox / music player
 JuK is a powerful music player capable of managing a large music collection.
 .
 Some of JuK's features include:
  * Music collection, playlists, and smart playlists
  * Tag editing support, including the ability to edit multiple files at once
  * Tag-based music file organization and renaming
  * Automatic tagging using MusicBrainz
  * CD burning support using k3b
  * Album art using Google Image Search
 .
 This package is part of the KDE multimedia module.

Package: kmix
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: x-audio-mixer
Description: volume control and mixer
 KMix is an audio device mixer, used to adjust volume, select recording inputs,
 and set other hardware options.
 .
 This package is part of the KDE multimedia module.

Package: kscd
Section: sound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: kde-config-cddb
Description: audio CD player
 KsCD is an audio CD player.  It uses the Compact Disc DataBase to
 fetch album information automatically.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CDDB library for KDE Platform (runtime)
 The KDE Compact Disc DataBase library provides an API for applications using 
 the KDE Platform to fetch and submit audio CD information over the internet.
 .
 This package also includes libKCompactDisc, which provides and API for
 handling audio CDs.
 .
 This package is part of the KDE multimedia module.

Package: libkcddb-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
Replaces: kdemultimedia-dev (<< 4:4.1.80)
Description: CDDB library for KDE Platform (development)
 The KDE Compact Disc DataBase library provides an API for KDE applications
 to fetch and submit audio CD information over the internet.
 .
 This package also includes development files for libKCompactDisc.
 .
 This package contains the CDDB library development files for KDE Platform.
 .
 This package is part of the KDE multimedia module.

Package: dragonplayer
Section: video
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
Description: simple video player
 A video player with a different philosophy: Simple, uncluttered interface.
 .
 Features:
  - Plays DVDs, VCDs, all video formats supported by Xine.
  - Bundled with a simple web-page KPart.
  - Starts quickly.
 .
 This is the KDE 4 version of the Codeine video player.
 .
 This package is part of the KDE multimedia module.

Package: mplayerthumbs
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
Description: video thumbnail generator
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files.
 .
 This package is part of the KDE multimedia module.

Package: kde-config-cddb
Section: kde
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libkcddb4 (<< 4:4.4.2)
Description: CDDB Retrieval configuration
 This package contains a configuration module for tweaking CDDB Retrieval
 settings for applications using the libkccdb library from the KDE Multimedia
 Platform
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-dev
Section: devel
Architecture: any
Depends: ${sameVersionDep:kdelibs5-dev:kdemultimedia-kio-plugins},
 ${misc:Depends}, libkcddb-dev (= ${binary:Version}),
 kdemultimedia-kio-plugins (= ${binary:Version})
Replaces: juk (<< 4:4.1.80), kscd (<< 4:4.1.80), kxim (<< 4:4.1.80)
Description: development files for the KDE multimedia module
 This package contains development files for building software that uses
 libraries from the KDE multimedia module.
 .
 This package is part of the KDE multimedia module.

Package: kdemultimedia-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Suggests: kdemultimedia (= ${source:Version})
Description: debugging symbols for the KDE multimedia module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE multimedia module.
 .
 This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_libkcddb4 := -V'libkcddb4 (>= 4:4.3.0)' -u-c0

binary-predeb/dragonplayer::
	dh_xine -pdragonplayer

## kdemultimedia 4.5.1

=== debian/changelog ===
kdemultimedia (4:4.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 30 Aug 2010 17:35:15 +0200

kdemultimedia (4:4.5.0b-0ubuntu1) maverick; urgency=low

  * New tar from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Aug 2010 23:20:02 +0100

kdemultimedia (4:4.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Fri, 30 Jul 2010 13:52:54 +0200

kdemultimedia (4:4.4.95-0ubuntu1) maverick; urgency=low

  * New upstream RC release
    - Bump on build-depends

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 27 Jul 2010 19:20:48 +0200

kdemultimedia (4:4.4.92-0ubuntu2) maverick; urgency=low

  * kdemultimedia meta-package suggests not depends ffmpegthumbs,
    kdemultimedia is on the DVD but ffmpegthumbs depends on libavcodecs
    which can not go on the DVD

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 23 Jul 2010 11:30:04 +0100

kdemultimedia (4:4.4.92-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.92
    - Confirmed symbols

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 08 Jul 2010 04:46:07 +0200

kdemultimedia (4:4.4.90-0ubuntu1) maverick; urgency=low

  * New upstream rc release
    - Bump kde-sc-dev-latest to 4.4.90
    - Add not-installed file
    - Update KUBUNTU-DEBIAN-DIFFERENCES
    - Update symbol file and confirmed on i386 amd64
    - Bump library version in rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 26 Jun 2010 02:22:25 +0200

kdemultimedia (4:4.4.85-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Bump kde-sc-dev-latest to 4.4.85
    - Update install files

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 09 Jun 2010 04:04:14 +0200

kdemultimedia (4:4.4.80-0ubuntu1) maverick; urgency=low

  * New upstream beta release:
    - Bump kde-sc-dev-latest to 4.4.80
    - Update various .install files
    - Refresh all patches
    - Add build-depends on libswscale-dev, libavcodec-dev, and libavformat-dev
      for new video thumbnailer backends
    - Add a new ffmpegthumbs package for the new video thumbnailer
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16 or greater

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 25 May 2010 08:30:50 -0400

kdemultimedia (4:4.4.3-2ubuntu1) maverick; urgency=low

  * Merge with Debian Unstable, remaining changes:
    - Keep Kubuntu docs path
    - Build-Depend on libtag-extras-dev to make juk read MP4 tags
    - Don't recommend mplayerthumbs in kdemultimedia, it's in multiverse
    - The mplayerthumbs package depends on mplayer or mplayer-nogui
  * Bump kde-config-cddb's replace version on libkcddb4 to 4.4.60
  * Update KUBUNTU-DEBIAN-DIFFERENCEs

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 19 May 2010 13:16:54 -0400

kdemultimedia (4:4.4.3-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends 

 -- Roderick B. Greening <roderick.greening@gmail.com>  Tue, 04 May 2010 02:38:49 -0230

kdemultimedia (4:4.4.2-0ubuntu3) lucid; urgency=low

  * In kubuntu_02_dragon_restricted_install.diff send the translated programName
    to the restrictedInstall interface instead of a hardcoded name
    + Get rid of unused var warning due to this patch

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 08 Apr 2010 17:05:47 +0200

kdemultimedia (4:4.4.2-0ubuntu2) lucid; urgency=low

  * Fix typo in libkcddb4.install (LP: #554011)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 02 Apr 2010 19:02:17 +0200

kdemultimedia (4:4.4.2-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-depends
    - Update kscd.install
    - Update libkcddb4.install

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 29 Mar 2010 03:44:21 +0200

kdemultimedia (4:4.4.1-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release:
    - Bump build-depend versions

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 14:20:08 -0500

kdemultimedia (4:4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump build-deps

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 04 Feb 2010 23:01:55 +0100

kdemultimedia (4:4.3.98-0ubuntu1) lucid; urgency=low

  [ Michał Zając ]
  * New upstream release
   - Bump on build-deps

  [ Alessandro Ghersi ]
  * Bump Qt to 4.6.1

 -- Michał Zając <michal.zajac@gmail.com>  Mon, 01 Feb 2010 17:18:12 +0100

kdemultimedia (4:4.3.95-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions 

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Wed, 20 Jan 2010 17:59:43 +0100

kdemultimedia (4:4.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Bump build-depend versions
    - Make 97_fix_target_link_libraries.diff apply
    - Refresh all patches

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 06 Jan 2010 18:53:16 -0500

kdemultimedia (4:4.3.85-0ubuntu1) lucid; urgency=low

  [ Jonathan Thomas ]
  * New upstream release:
    - Bump build-depend versions

  [ Michał Zając ]
  * Changed depends on mplayerthumbs, now depends on mplayer-nogui OR mplayer

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 18 Dec 2009 21:49:52 -0500

kdemultimedia (4:4.3.80-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Bump on Build-Depends. Dropped libknotificationitem-dev cause it was moved
  	to kdelibs5-dev
  * Minor changes in *.install files
  * Dropped kubuntu_06_juk_read_mp4.diff

 -- Michał Zając <michal.zajac@gmail.com>  Sun, 06 Dec 2009 16:22:36 +0100

kdemultimedia (4:4.3.3-0ubuntu2) lucid; urgency=low

  * Demote kdemultimedia Recommends on mplayerthumbs to Suggests.
    mplayerthumbs is in multiverse and this recommends tries to drag in
    mplayer to main.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Nov 2009 09:11:53 +0100

kdemultimedia (4:4.3.3-0ubuntu1) lucid; urgency=low



=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: kdemultimedia
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
- cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
- kdelibs5-dev (>= 4:4.4), libphonon-dev (>= 4:4.6.0really4.3.80),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+ cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
+ kdelibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.1),
  libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  libcdparanoia-dev, libflac-dev, libmusicbrainz4-dev, libpulse-dev, libxine-dev (>= 1.1.16.3),
- libogg-dev, libtag1-dev (>= 1.6), libtheora-dev, libtunepimp-dev, libvorbis-dev, libx11-dev
+ libogg-dev, libtag1-dev (>= 1.6), libtheora-dev, libtunepimp-dev, libvorbis-dev, libx11-dev,
+ libtag-extras-dev, libswscale-dev, libavcodec-dev, libavformat-dev
 Standards-Version: 3.8.4
 Homepage: http://www.kde.org/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/trunk/packages/kdemultimedia/#_trunk_packages_kdemultimedia_
-Vcs-Svn: svn://svn.debian.org/pkg-kde/trunk/packages/kdemultimedia
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/kdemultimedia/ubuntu
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/kdemultimedia/ubuntu
 
 Package: kdemultimedia
 Section: kde
@@ -23,7 +25,7 @@
  kdemultimedia-kio-plugins (>= ${source:Version}),
  juk (>= ${source:Version}), kmix (>= ${source:Version}),
  kscd (>= ${source:Version}), kde-config-cddb (>= ${source:Version})
-Recommends: mplayerthumbs (>= ${source:Version})
+Suggests: mplayerthumbs (>= ${source:Version}), ffmpegthumbs (>= ${source:Version})
 Description: multimedia applications from the official KDE release
  KDE is produced by an international technology team that creates free and open
  source software for desktop and portable computing. Among KDE's products are a
@@ -40,11 +42,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
 Suggests: lame
-Replaces: kscd (<< 4:4.1.80)
-Description: transparent audio CD access for applications using the KDE Platform
- This package includes the audiocd KIO plugin, which allows applications using
- the KDE Platform to read audio from CDs and automatically convert it into other 
- formats.
+Replaces: kscd (<< 4:4.4.60)
+Description: transparent audio CD access for KDE applications
+ This package includes the audiocd KIO plugin, which allows KDE applications
+ to read audio from CDs and automatically convert it into other formats.
  .
  This package is part of the KDE multimedia module.
 
@@ -53,7 +54,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: k3b
-Description: music jukebox / music player
+Description: music jukebox for KDE
  JuK is a powerful music player capable of managing a large music collection.
  .
  Some of JuK's features include:
@@ -71,7 +72,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: x-audio-mixer
-Description: volume control and mixer
+Description: volume control and mixer for KDE
  KMix is an audio device mixer, used to adjust volume, select recording inputs,
  and set other hardware options.
  .
@@ -82,7 +83,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: kde-config-cddb
-Description: audio CD player
+Description: audio CD player for KDE
  KsCD is an audio CD player.  It uses the Compact Disc DataBase to
  fetch album information automatically.
  .
@@ -92,9 +93,9 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: CDDB library for KDE Platform (runtime)
- The KDE Compact Disc DataBase library provides an API for applications using 
- the KDE Platform to fetch and submit audio CD information over the internet.
+Description: CDDB library for KDE (runtime)
+ The KDE Compact Disc DataBase library provides an API for KDE applications
+ to fetch and submit audio CD information over the internet.
  .
  This package also includes libKCompactDisc, which provides and API for
  handling audio CDs.
@@ -106,13 +107,13 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
 Replaces: kdemultimedia-dev (<< 4:4.1.80)
-Description: CDDB library for KDE Platform (development)
+Description: CDDB library for KDE (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the internet.
  .
  This package also includes development files for libKCompactDisc.
  .
- This package contains the CDDB library development files for KDE Platform.
+ This package contains the CDDB library development files for KDE.
  .
  This package is part of the KDE multimedia module.
 
@@ -120,7 +121,7 @@
 Section: video
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
-Description: simple video player
+Description: simple KDE video player
  A video player with a different philosophy: Simple, uncluttered interface.
  .
  Features:
@@ -135,9 +136,20 @@
 Package: mplayerthumbs
 Section: kde
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
-Description: video thumbnail generator
+Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer-nogui | mplayer
+Description: video thumbnail generator for KDE
  MPlayerThumbs is a video thumbnail generator for KDE file managers
+ like Dolphin and Konqueror.  It enables them to show preview images
+ of video files.
+ .
+ This package is part of the KDE multimedia module.
+
+Package: ffmpegthumbs
+Section: kde
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: video thumbnail generator for KDE
+ FFMpegThumbs is a video thumbnail generator for KDE file managers
  like Dolphin and Konqueror.  It enables them to show preview images
  of video files.
  .
@@ -147,11 +159,10 @@
 Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: libkcddb4 (<< 4:4.4.2)
-Description: CDDB Retrieval configuration
+Replaces: libkcddb4 (<< 4:4.4.60)
+Description: KDE CDDB Retrieval configuration
  This package contains a configuration module for tweaking CDDB Retrieval
- settings for applications using the libkccdb library from the KDE Multimedia
- Platform
+ settings.
  .
  This package is part of the KDE multimedia module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_DH_MAKESHLIBS_ARGS_libkcddb4 := -V'libkcddb4 (>= 4:4.4.90)'

binary-predeb/dragonplayer::
	dh_xine

## kdemultimedia 4.5.5

=== debian/changelog ===
kdemultimedia (4:4.5.5-0ubuntu2) maverick-proposed; urgency=low

  * Update to final 4.5 version per micro-release exception (LP: #757065)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 11 Apr 2011 02:22:30 -0400

kdemultimedia (4:4.5.5-0ubuntu1ppa1) maverick; urgency=low

  * New upstream release

 -- Stephen Stalcup <vorian@ubuntu.com>  Thu, 06 Jan 2011 13:17:45 -0700

kdemultimedia (4:4.5.4-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release, PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 01 Dec 2010 13:50:45 +0000

kdemultimedia (4:4.5.3-0ubuntu1~maverick1~ppa1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 03 Nov 2010 19:03:14 +0000

kdemultimedia (4:4.5.2-0ubuntu1~ppa1) maverick; urgency=low

  * PPA build

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:43:51 +0000

kdemultimedia (4:4.5.2-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 04 Oct 2010 21:43:40 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.0),
+Build-Depends: kde-sc-dev-latest (>= 4:4.5.2),
  cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
  kdelibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.1),
  libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],

## kdemultimedia 4.6.2

=== debian/changelog ===
kdemultimedia (4:4.6.2-0ubuntu2) natty; urgency=low

  * Add kubuntu_03_kmix_pulseaudio_fixes.diff: Cherry-pick several PulseAudio
    related KMix fixes that will be part of KDE 4.6.3.
    - Fixes very high CPU usage. (LP: #720882)
    - Fixes memory leaks. (LP: #676780)

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 19 Apr 2011 16:01:21 +0200

kdemultimedia (4:4.6.2-0ubuntu1) natty; urgency=low

  * New upstream release
    - Update kde-sc-dev-latest version

 -- Christian Mangold <neversfelde@ubuntu.com>  Sun, 03 Apr 2011 14:17:57 +0000

kdemultimedia (4:4.6.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * Update kde-sc-dev-latest version

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 27 Feb 2011 22:15:48 +0100

kdemultimedia (4:4.6.0-0ubuntu2) natty; urgency=low

  [ Jonathan Riddell ]
  * Update kde-sc-dev-latest version

  [ Felix Geyer ]
  * Don't link dragonplayer against xine. It's useless with the Phonon
    GStreamer backend and not required when using the Xine backend.
    - Drop libxine-dev from build-deps.
    - Don't run dh_xine.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 07 Feb 2011 14:26:02 +0100

kdemultimedia (4:4.6.0-0ubuntu1) natty; urgency=low

  * New upstream release.

 -- Felix Geyer <debfx-pkg@fobos.de>  Fri, 21 Jan 2011 15:49:37 +0100

kdemultimedia (4:4.5.95-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 05 Jan 2011 13:13:14 +0000

kdemultimedia (4:4.5.90-0ubuntu1) natty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 22 Dec 2010 16:46:22 +0000

kdemultimedia (4:4.5.85-0ubuntu1) natty; urgency=low

  * New upstream beta release

 -- Philip Muskovac <yofel@gmx.net>  Sat, 04 Dec 2010 15:15:33 +0100

kdemultimedia (4:4.5.80-0ubuntu1) natty; urgency=low

  * New upstream beta release
  * Build-dep on libmusicbrainz3-dev instead of (older) libmusicbrainz4-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Nov 2010 11:13:20 +0000

kdemultimedia (4:4.5.3-0ubuntu2) natty; urgency=low

  * In kubuntu_02_dragon_restricted_install.diff install gstreamer
    plugin not xine

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Nov 2010 16:57:10 +0000

kdemultimedia (4:4.5.3-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Nov 2010 17:08:03 +0000

kdemultimedia (4:4.5.2-0ubuntu1) natty; urgency=low

  [ Alessandro Ghersi ]
  * Merge with Debian git remaining changes:
    - Build-Depend on libtag-extras-dev to make juk read MP4 tags
    - Suggest not recommend/depend ffmpegthumbs, mplayerthumbs in kdemultimedia
      can't go on the DVD
    - The mplayerthumbs package depends on mplayer or mplayer-nogui

  [ Jonathan Riddell ]
  * New upstream release

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 17 Oct 2010 07:03:01 +0200

kdemultimedia (4:4.5.1-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Point debian/control Vcs fields to the new Git repository.

  [ George Kiagiadakis ]
  * Change my email address in uploaders.
  * Bump kdelibs5-dev build dependency to version 4:4.5.
  * Drop patch 02_colin_guthrie_pulseaudio_fixes.diff, applied upstream.
  * Add build dependencies to libavcodec-dev, libswscale-dev and
    libavformat-dev to build the ffmpeg thumbnailer plugin.
  * Update installed files.
  * Add new package: ffmpegthumbs.
  * Update libkcddb4.symbols.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 29 Aug 2010 13:26:59 +0300

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>,
  Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>,
  George Kiagiadakis <gkiagiad@csd.uoc.gr>
-Build-Depends: kde-sc-dev-latest (>= 4:4.5.2),
- cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), quilt, pkg-kde-tools (>= 0.6.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.6.2),
+ cdbs (>= 0.4.51), cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.9),
  kdelibs5-dev (>= 4:4.5), libphonon-dev (>= 4:4.7.0really4.4.1),
  libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
- libcdparanoia-dev, libflac-dev, libmusicbrainz4-dev, libpulse-dev, libxine-dev (>= 1.1.16.3),
+ libcdparanoia-dev, libflac-dev, libmusicbrainz3-dev, libpulse-dev,
  libogg-dev, libtag1-dev (>= 1.6), libtheora-dev, libtunepimp-dev, libvorbis-dev, libx11-dev,
  libtag-extras-dev, libswscale-dev, libavcodec-dev, libavformat-dev
 Standards-Version: 3.8.4
@@ -43,9 +43,10 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
 Suggests: lame
 Replaces: kscd (<< 4:4.4.60)
-Description: transparent audio CD access for KDE applications
- This package includes the audiocd KIO plugin, which allows KDE applications
- to read audio from CDs and automatically convert it into other formats.
+Description: transparent audio CD access for applications using the KDE Platform
+ This package includes the audiocd KIO plugin, which allows applications using
+ the KDE Platform to read audio from CDs and automatically convert it into other 
+ formats.
  .
  This package is part of the KDE multimedia module.
 
@@ -54,7 +55,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: k3b
-Description: music jukebox for KDE
+Description: music jukebox / music player
  JuK is a powerful music player capable of managing a large music collection.
  .
  Some of JuK's features include:
@@ -72,7 +73,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: x-audio-mixer
-Description: volume control and mixer for KDE
+Description: volume control and mixer
  KMix is an audio device mixer, used to adjust volume, select recording inputs,
  and set other hardware options.
  .
@@ -83,7 +84,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: kde-config-cddb
-Description: audio CD player for KDE
+Description: audio CD player
  KsCD is an audio CD player.  It uses the Compact Disc DataBase to
  fetch album information automatically.
  .
@@ -93,9 +94,9 @@
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: CDDB library for KDE (runtime)
- The KDE Compact Disc DataBase library provides an API for KDE applications
- to fetch and submit audio CD information over the internet.
+Description: CDDB library for KDE Platform (runtime)
+ The KDE Compact Disc DataBase library provides an API for applications using 
+ the KDE Platform to fetch and submit audio CD information over the internet.
  .
  This package also includes libKCompactDisc, which provides and API for
  handling audio CDs.
@@ -107,25 +108,25 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libkcddb4 (= ${binary:Version})
 Replaces: kdemultimedia-dev (<< 4:4.1.80)
-Description: CDDB library for KDE (development)
+Description: CDDB library for KDE Platform (development)
  The KDE Compact Disc DataBase library provides an API for KDE applications
  to fetch and submit audio CD information over the internet.
  .
  This package also includes development files for libKCompactDisc.
  .
- This package contains the CDDB library development files for KDE.
+ This package contains the CDDB library development files for KDE Platform.
  .
  This package is part of the KDE multimedia module.
 
 Package: dragonplayer
 Section: video
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine-x:Depends}
-Description: simple KDE video player
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: simple video player
  A video player with a different philosophy: Simple, uncluttered interface.
  .
  Features:
-  - Plays DVDs, VCDs, all video formats supported by Xine.
+  - Plays all video formats supported by Phonon.
   - Bundled with a simple web-page KPart.
   - Starts quickly.
  .
@@ -137,7 +138,7 @@
 Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer-nogui | mplayer
-Description: video thumbnail generator for KDE
+Description: video thumbnail generator using mplayer
  MPlayerThumbs is a video thumbnail generator for KDE file managers
  like Dolphin and Konqueror.  It enables them to show preview images
  of video files.
@@ -148,7 +149,7 @@
 Section: kde
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: video thumbnail generator for KDE
+Description: video thumbnail generator using ffmpeg
  FFMpegThumbs is a video thumbnail generator for KDE file managers
  like Dolphin and Konqueror.  It enables them to show preview images
  of video files.
@@ -160,9 +161,10 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: libkcddb4 (<< 4:4.4.60)
-Description: KDE CDDB Retrieval configuration
+Description: CDDB Retrieval configuration
  This package contains a configuration module for tweaking CDDB Retrieval
- settings.
+ settings for applications using the libkccdb library from the KDE Multimedia
+ Platform
  .
  This package is part of the KDE multimedia module.
